package com.yihu.jw.entity.hospital.manage;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_doctor_sort")
@SequenceGenerator(name="id_generated", sequenceName="BASE_DOCTOR_SORT_SEQ")
public class BaseDoctorSortDO extends IntegerIdentityEntity {
    private String doctorCode;//医生code
    private String doctorName;//医生名称
    private Integer sort;//排序
    private Integer del;//是否删除（1是 0否）
    private Date createTime;//创建时间

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
